### Method

# GObject Value take_string

since: 2.4

#### Declaration

    void
    g_value_take_string (
      GValue* value,
      gchar* v_string
    )

#### Description

Sets the contents of a `G_TYPE_STRING` `GValue` to `v_string`.

Available since: 2.4

#### Parameters

`v_string`

  Type: `gchar*`

  String to take ownership of.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.